org.eclipse.aether.internal.impl

## Class DefaultMetadataResolver

- java.lang.Object
- - org.eclipse.aether.internal.impl.DefaultMetadataResolver

- All Implemented Interfaces:
    MetadataResolver, Service

      @Named
      @Component(role=MetadataResolver.class)
      public class DefaultMetadataResolver
      extends Object
      implements MetadataResolver, Service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMetadataResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initService(ServiceLocator locator)` Provides the opportunity to initialize this service and to acquire other services for its operation from the locator.
    `List<MetadataResult>` | `resolveMetadata(RepositorySystemSession session, Collection<? extends MetadataRequest> requests)` Resolves the paths for a collection of metadata.
    `DefaultMetadataResolver` | `setLoggerFactory(LoggerFactory loggerFactory)`
    `DefaultMetadataResolver` | `setOfflineController(OfflineController offlineController)`
    `DefaultMetadataResolver` | `setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)`
    `DefaultMetadataResolver` | `setRepositoryConnectorProvider(RepositoryConnectorProvider repositoryConnectorProvider)`
    `DefaultMetadataResolver` | `setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)`
    `DefaultMetadataResolver` | `setSyncContextFactory(SyncContextFactory syncContextFactory)`
    `DefaultMetadataResolver` | `setUpdateCheckManager(UpdateCheckManager updateCheckManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMetadataResolver

          public DefaultMetadataResolver()

  - ### Method Detail

    - #### initService

          public void initService(ServiceLocator locator)

      Description copied from interface: `Service`
      Provides the opportunity to initialize this service and to acquire other services for its operation from the locator. A service must not save the reference to the provided service locator.
      Specified by:
        `initService` in interface `Service`
      Parameters:
        `locator` - The service locator, must not be `null`.

    - #### setLoggerFactory

          public DefaultMetadataResolver setLoggerFactory(LoggerFactory loggerFactory)

    - #### setRepositoryEventDispatcher

          public DefaultMetadataResolver setRepositoryEventDispatcher(RepositoryEventDispatcher repositoryEventDispatcher)

    - #### setUpdateCheckManager

          public DefaultMetadataResolver setUpdateCheckManager(UpdateCheckManager updateCheckManager)

    - #### setRepositoryConnectorProvider

          public DefaultMetadataResolver setRepositoryConnectorProvider(RepositoryConnectorProvider repositoryConnectorProvider)

    - #### setRemoteRepositoryManager

          public DefaultMetadataResolver setRemoteRepositoryManager(RemoteRepositoryManager remoteRepositoryManager)

    - #### setSyncContextFactory

          public DefaultMetadataResolver setSyncContextFactory(SyncContextFactory syncContextFactory)

    - #### setOfflineController

          public DefaultMetadataResolver setOfflineController(OfflineController offlineController)

    - #### resolveMetadata

          public List<MetadataResult> resolveMetadata(RepositorySystemSession session,
                                             Collection<? extends MetadataRequest> requests)

      Description copied from interface: `MetadataResolver`
      Resolves the paths for a collection of metadata. Metadata will be downloaded if necessary.
      Specified by:
        `resolveMetadata` in interface `MetadataResolver`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.